﻿$ErrorActionPreference = 'Stop';

$version     = $env:chocolateyPackageVersion
$packageName = $env:chocolateyPackageName
$toolsDir    = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url64       = 'https://github.com/mrexodia/ccls/releases/download/0.20210330-windows-llvm11/ccls-0.20210330-x86_64-pc-windows-msvc.zip'

$packageArgs = @{
    packageName    = $packageName
    unzipLocation  = $toolsDir
    fileType       = 'exe'
    url64bit       = $url64
    checksum64     = '8F68342E78CB0916BA06B95812A1E97F3C98F755C0B4DE4B04440D39F5C97C92'
    checksumType64 = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
